import request from '@/utils/request'

//查询任务列表
export function selectTaskList(data){
  return request({
    url: "/task/task/list",
    method: "post",
    data:data
  })
}

//添加
export function addTask(data){
  return request({
    url: "/task/task/addTask",
    method: "POST",
    data:data
  })
}

//修改
export function updateById(data) {
  return request({
    url: "/task/task/updateById",
    method: "POST",
    data: data
  })
}

//删除
export function deleteByTaskId(id) {
  return request({
    url: "/task/task/deleteById/" + id,
    method: "POST"
  })
}

//获得所有数据结构信息
export function tableInfoList() {
  return request({
    url: "/task/tableInfo/list",
    method: "GET",
  })
}

//获得所有数据结构信息
export function findByTableId(id) {
  return request({
    url: "/task/tableInfo/findByTableId?id="+id,
    method: "POST",
    params:id
  })
}

//获得所有数据结构信息
export function findStructureList(tableId) {
  return request({
    url: "/task/structure/findStructureList?tableId="+tableId,
    method: "GET"
  })
}

//添加节点任务记录
export function addTaskInput(data) {
  return request({
    url: "/task/taskInput/addTaskInput",
    method: "POST",
    data:data
  })
}

//根据节点id查询信息
export function findByNodeId(nodeId) {
  return request({
    url: "/task/taskInput/findByNodeId/"+nodeId,
    method: "get",
  })
}

//联查记录添加
export function addTaskJoin(data) {
  return request({
    url: "/task/taskJoin/addTaskJoin/",
    method: "POST",
    data:data
  })
}




